org.springframework.http.server

## Class PathContainer.Options

- java.lang.Object
- - org.springframework.http.server.PathContainer.Options

- Enclosing interface:
    PathContainer

      public static class PathContainer.Options
      extends Object

  Options to customize parsing based on the type of input path.
  Since:
    5.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PathContainer.Options` | `HTTP_PATH` Options for HTTP URL paths.
    `static PathContainer.Options` | `MESSAGE_ROUTE` Options for a message route.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PathContainer.Options` | `create(char separator, boolean decodeAndParseSegments)` Create an `PathContainer.Options` instance with the given settings.
    `char` | `separator()`
    `boolean` | `shouldDecodeAndParseSegments()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTTP_PATH

          public static final PathContainer.Options HTTP_PATH

      Options for HTTP URL paths.

      Separator '/' with URL decoding and parsing of path parameters.

    - #### MESSAGE_ROUTE

          public static final PathContainer.Options MESSAGE_ROUTE

      Options for a message route.

      Separator '.' with neither URL decoding nor parsing of path parameters. Escape sequences for the separator character in segment values are still decoded.

  - ### Method Detail

    - #### separator

          public char separator()

    - #### shouldDecodeAndParseSegments

          public boolean shouldDecodeAndParseSegments()

    - #### create

          public static PathContainer.Options create(char separator,
                                                     boolean decodeAndParseSegments)

      Create an `PathContainer.Options` instance with the given settings.
      Parameters:
        `separator` - the separator for parsing the path into segments; currently this must be slash or dot.
        `decodeAndParseSegments` - whether to URL decode path segment values and parse path parameters. If set to false, only escape sequences for the separator char are decoded.